ComFailException (JACOB : Java COM Bridge API Docs)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jacob.com
Class ComFailException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.jacob.com.JacobException
                      com.jacob.com.ComException
                          com.jacob.com.ComFailException

All Implemented Interfaces:
  Serializable

    public class ComFailException

extends ComException

COM Fail Exception class raised when there is a problem

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.jacob.com.ComException
`hr, m_helpContext, m_helpFile, m_source`

Constructor Summary
`ComFailException()` No argument Constructor
`ComFailException(int hrNew)` Constructor
`ComFailException(int hrNew, String message)` Constructor
`ComFailException(int hrNew, String source, String helpFile, int helpContext)`
`ComFailException(int hrNew, String description, String source, String helpFile, int helpContext)` Constructor
`ComFailException(String message)`

Method Summary

Methods inherited from class com.jacob.com.ComException
`getHelpContext, getHelpFile, getHResult, getSource`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComFailException

    public ComFailException(int hrNew)

  Constructor

  Parameters:
    `hrNew` -

### ComFailException

    public ComFailException(int hrNew,
                            String message)

  Constructor

  Parameters:
    `hrNew` -
    `message` -

### ComFailException

    public ComFailException(int hrNew,
                            String source,
                            String helpFile,
                            int helpContext)

Parameters:
  `hrNew` -
  `source` -
  `helpFile` -
  `helpContext` -

### ComFailException

    public ComFailException(int hrNew,
                            String description,
                            String source,
                            String helpFile,
                            int helpContext)

  Constructor

  Parameters:
    `hrNew` -
    `description` -
    `source` -
    `helpFile` -
    `helpContext` -

### ComFailException

    public ComFailException()

  No argument Constructor

### ComFailException

    public ComFailException(String message)

Parameters:
  `message` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://jacob-project.sourceforge.net